apiVersion: "ryax.tech/v2.0"
kind: Source
spec:
  id: api-s3
  human_name: An API to access S3, useful for bubble.io or other frontends.
  version: "1.7.0"
  logo: "logo.png"
  type: python3
  description: >
    Host a magic API that has an upload endpoint to send videos and start the workflow.
  categories:
  - Source
    FastAPI
    S3
  inputs:
  - help: A 20 character long string.
    human_name: aws_access_key_id
    name: aws_access_key_id
    type: string
  - help: A 40 character long string.
    human_name: aws_secret_access_key
    name: aws_secret_access_key
    type: password
  - help: Name of the S3 bucket
    human_name: bucket
    name: bucket
    type: string
  - help: Prefix for the ryax instance, for example, https://app.ryax.io
    human_name: instance_prefix
    name: instance_prefix
    type: string
  outputs:
  - help: A 20 character long string.
    human_name: aws_access_key_id
    name: aws_access_key_id
    type: string
  - help: A 40 character long string.
    human_name: aws_secret_access_key
    name: aws_secret_access_key
    type: password
  - help: Name of the S3 bucket
    human_name: bucket
    name: bucket
    type: string
  - help: Folder name to inspect on the s3 bucket
    human_name: folder
    name: folder
    type: string
  - help: Image to transform
    human_name: uploaded_image
    name: uploaded_image
    type: file
